<?php
include('includes/incs.php');
$objDOM = new DOMDocument();
$objDOM->loadXML(file_get_contents("http://".$_SERVER['HTTP_HOST']."/php/getSite.php"));

//INTRODUCCION
$acerca = $objDOM->getElementsByTagName("acerca")->item(0)->nodeValue;

//TEMAS
$DOMTemas = $objDOM->getElementsByTagName("temas")->item(0)->getElementsByTagName("tema");
$temas = array();
foreach($DOMTemas as $tema) {
        // Saco los videos del tema.
        $DOMvideos = $tema->getElementsByTagName("video");
        $videos = array();
        foreach($DOMvideos as $video) {
            $videos[] = array(
                                'id' => $video->getAttribute('id'),
                                'thumb' => $video->getAttribute('thumb'),
                                'big' => $video->getAttribute('big'),
                                'titulo' => $video->getElementsByTagName("titulo")->item(0)->nodeValue,
                                'descripcion' => $video->getElementsByTagName("descripcion")->item(0)->nodeValue,
                                'tematica' => $video->getElementsByTagName("tematica")->item(0)->nodeValue
                        );


        }


        //Saco el tema.
        $temas[] = array(
                        'id' => $tema->getAttribute('id'),
                        'titulo' => $tema->getElementsByTagName("titulo")->item(0)->nodeValue,
                        'color' => $tema->getElementsByTagName("color")->item(0)->nodeValue,
                        'header' => $tema->getElementsByTagName("header")->item(0)->nodeValue,
                        'descripcion' => $tema->getElementsByTagName("descripcion")->item(0)->nodeValue,
						'file' => $tema->getElementsByTagName("file")->item(0)->nodeValue,
                        'videos' => $videos
                    );
}

//PUEBLOS
$pueblos = array();
$DOMpueblos = $objDOM->getElementsByTagName("pueblo");
foreach($DOMpueblos as $pueblo) {
        //Saco las imagenes
        $images = array();
        $DOMimages = $pueblo->getElementsByTagName("imagen");
        foreach($DOMimages as $image){
            $images[] = array(
                'id' => $image->getAttribute('id'),
                'thumb' => $image->getAttribute('thumb'),
                'big' => $image->getAttribute('big')
            );
        }

        //Saco los videos
        $videos = array();
        $DOMvideos = $pueblo->getElementsByTagName("video");
        foreach($DOMvideos as $video){
            $videos[] = array(
                'id' => $video->getAttribute('id'),
                'thumb' => $video->getAttribute('thumb'),
                'big' => $video->getAttribute('big'),
                'titulo' => $video->getElementsByTagName("titulo")->item(0)->nodeValue,
                'descripcion' => $video->getElementsByTagName("descripcion")->item(0)->nodeValue,
                'tematica' => $video->getElementsByTagName("tematica")->item(0)->nodeValue
            );
        }

        //Saco los pueblos
        $pueblos[] = array(
            'id' => $pueblo->getAttribute('id'),
            'nombre' => $pueblo->getElementsByTagName("nombre")->item(0)->nodeValue,
            'link' => $pueblo->getElementsByTagName("link")->item(0)->nodeValue,
            'label' => $pueblo->getElementsByTagName("label")->item(0)->nodeValue,
            'tema' => $pueblo->getElementsByTagName("tema")->item(0)->nodeValue,
            'color' => $pueblo->getElementsByTagName("color")->item(0)->nodeValue,
            'color2' => $pueblo->getElementsByTagName("color2")->item(0)->nodeValue,
            'color3' => $pueblo->getElementsByTagName("color3")->item(0)->nodeValue,
            'color4' => $pueblo->getElementsByTagName("color4")->item(0)->nodeValue,
            'subtitulo' => $pueblo->getElementsByTagName("subtitulo")->item(0)->nodeValue,
            'frase' => $pueblo->getElementsByTagName("frase")->item(0)->nodeValue,
            'descripcion' => $pueblo->getElementsByTagName("descripcion")->item(0)->nodeValue,

            'videos' => $videos,
            'images' => $images
        );
}
?>
<body id="index">
	<div id="container">
		<?php include('includes/top.php'); ?>
		<div id="container2">
		<div id="bloque_container">
                        <!-- Introduccion -->
			<div class="bloque introduccion" id="intro" style="display:none;">
				<div class="bloque_content">
					<div class="bloque_content_top">
						<h3>Introducci&oacute;n</h3>
					</div>
					<div class="descripcion bloque_content_text">
						<?=$acerca ?>
					</div>
				</div>
			</div>
<?php   foreach($temas as $tema) { ?>
                        <!-- Tema Transversal -->
			<div class="bloque tema" data-id="<?=$tema['id'] ?>" id="tema<?=$tema['id'] ?>" style="display:none;">
				<div class="bloque_content">
					<div class="bloque_content_top">
						<h3><?=$tema['titulo'] ?></h3>
                                                <ul class="bloque_nav">
                                                    <li><a href="#intro">Introducci&oacute;n</a></li>
<?              if (count($tema['videos'])) { ?>	<li><a href="#videos">Videos</a></li>   <? } ?>
													<li class="ico_pdf"><a href="/<?=$tema['file'] ?>" target="_blank">PDF</a>
                                                </ul>
					</div>
					<div class="descripcion bloque_content_text">
						<p>
							<span class="bloque_frase"><?=$tema['header'] ?></span>
							<?=str_replace("\n", "<br><br>",$tema['descripcion']) ?>
						</p>
					</div>
                                        <div class="videos bloque_content_text" style="display: none">
<?php           foreach($tema['videos'] as $video) {  ?>
                                            <!-- Video de Tema Transversal -->
                                            <div class="video" id="tema_video<?=$video['id'] ?>">
                                               <a href="#"><img data-big="<?=$video['big'] ?>" alt="<?=$video['titulo'] ?>" data-tematica="<?=$video['tematica'] ?>" src="http://i3.ytimg.com/vi/<?=$video['big'] ?>/default.jpg" ></a>
												<p class="titulo"><?=$video['titulo'] ?></p>
												<p><?=$video['descripcion'] ?></p>
                                            </div>
<?		}   ?>
                                       </div>
				</div>
			</div>	
<?	}           ?>
		
<?php
        foreach($pueblos as $pueblo){
?>                      <!-- Pueblo -->
			<div class="bloque pueblo" data-id="<?=$pueblo['id'] ?>" id="<?=$pueblo['label'] ?>" style="display:none;">
				<img src="img/pueblo_<?=$pueblo['id'] ?>.jpg" alt="<?=$pueblo['nombre'] ?>" class="bloque_pic" />
				<div class="bloque_content">
					<div class="bloque_content_top">
						<h3><?=$pueblo['nombre'] ?></h3>
						<ul class="bloque_nav">
                                                        <li><a href="#intro">Introducci&oacute;n</a></li>
<?              if (count($pueblo['videos'])) {   ?>             <li><a href="#videos">Videos</a></li>
<?              } if (count($pueblo['images'])) {  ?>            <li><a href="#imagenes">Im&aacute;genes</a></li>
<?              } if($pueblo['link']) {           ?>             <li class="ico_pdf"><a href="/<?=$pueblo['link'] ?>" target="_blank">PDF</a></li>             <? } ?>
                                                 </ul>
					</div>
					<div class="descripcion bloque_content_text">
						<p>
							<span class="bloque_frase"><?=$pueblo['frase'] ?></span>
							<?=str_replace("\n", "<br><br>",$pueblo['descripcion']) ?>
						</p>
					</div>
                                        <div class="imagenes bloque_content_text" style="display: none">

<?php		foreach($pueblo['images'] as $image) {      ?>
                                            <!-- Imagen de Pueblo -->
                                            <div class="imagen" id="img<?=$image['id'] ?>">
                                                    <img class="pueblo_thumb" data-id="<?=$image['id'] ?>" src="/files/photos/<?=$image['id']?>_120x81_4.JPG" alt="Imagen del Pueblo <?=$pueblo['nombre'] ?>">
                                            </div>
<?php 		}                       ?>
                                        </div>
                                        <div class="videos bloque_content_text" style="display:none;">
<?php		foreach($pueblo['videos'] as $video) {     ?>
                                            <!-- Video de Pueblo -->
                                            <div class="video" id="video<?=$video['id'] ?>">
                                                <a href="#"><img data-big="<?=$video['big'] ?>" alt="<?=$video['titulo'] ?>" data-tematica="<?=$video['tematica'] ?>" src="http://i3.ytimg.com/vi/<?=$video['big'] ?>/default.jpg" ></a>
												<p class="titulo"><?=$video['titulo'] ?></p>
												<p><?=$video['descripcion'] ?></p>
                                            </div>
<?php		}                       ?>
                                        </div>
                                </div>
			</div>	
<?php	}                               ?>

		</div>
	</div>
</div>

<div id="mask"></div>
<div id="modal">
    <div id="modalClose"><a href="#" class="close"><img src="/html/img/bot_close.png" alt="Cerrar"/></a></div>
    <div id="fullSize"></div>
    <ul id="thumbList">

    </ul>
</div>
<?php include ('includes/footer.php'); ?>