<?php
/**
*	Clase TBussinesObject que maneja la lgica de cada aplicacin
**/
function toFriendly($string)
	{

		$friendly = strtolower($string);
		$friendly = str_replace("", "a", $friendly);
		$friendly = str_replace("", "e", $friendly);
		$friendly = str_replace("", "i", $friendly);
		$friendly = str_replace("", "o", $friendly);
		$friendly = str_replace("", "u", $friendly);
		$friendly = str_replace("", "n", $friendly);
		$friendly = str_replace("'", "", $friendly);
		$friendly = str_replace("(", "", $friendly);
		$friendly = str_replace(")", "", $friendly);
		$friendly = str_replace(" ", "", $friendly);
		
		return $friendly;
	}
require("god.php");
class TBo extends TGod
{
/*
	Aca van las funciones publicas para ser llamadas desde los scripts en la carpeta php
*/
	public function getSite()
	{
		$pueblos=array();
		// Pueblos
		$this->sql->setQuery("SELECT * FROM pueblos order by orden");
		$this->sql->executeQuery();
		while($row=$this->sql->getRow())
		{
			$pueblos[]=$row;
		}
		foreach($pueblos as $index=>$pueblo)
		{
			
			$pueblos[$index]["imagenes"]=array();
			$pueblos[$index]["videos"]=array();
			//Imagenes
			$this->sql->setQuery("SELECT * FROM pueblos_imagenes WHERE id_pueblo=:id");
			$this->sql->addInteger("id",$pueblo["id"]);
			$this->sql->executeQuery();
			while($row=$this->sql->getRow())
				{
					$pueblos[$index]["imagenes"][]=$row;
				}
				
			//Videos
			$this->sql->setQuery("SELECT * FROM pueblos_videos WHERE id_pueblo=:id order by orden");
			$this->sql->addInteger("id",$pueblo["id"]);
			$this->sql->executeQuery();
			while($row=$this->sql->getRow())
				{
					$pueblos[$index]["videos"][]=$row;
				}			
		}
		
	$this->xml->printHeaders();
	echo $this->xml->getOKBasic() . ">";
	echo '<pueblos count="' . count($pueblos). '">';
	foreach($pueblos as $pueblo)
	{
		echo "<pueblo id=\"" . $pueblo['id'] . "\">";
                    echo "<nombre><![CDATA[".$pueblo['nombre']."]]></nombre>\n";
                    echo "<link><![CDATA[".$pueblo['link']."]]></link>\n";
                    echo "<label><![CDATA[".toFriendly($pueblo['nombre'])."]]></label>\n";
                    echo "<tema><![CDATA[".$pueblo['tema']."]]></tema>\n";  
                    echo "<color><![CDATA[0x".$pueblo['color']."]]></color>\n";              	
                    echo "<color2><![CDATA[0x".$pueblo['color2']."]]></color2>\n";      
                    echo "<color3><![CDATA[0x".$pueblo['color3']."]]></color3>\n";                
                    echo "<color4><![CDATA[0x".$pueblo['color4']."]]></color4>\n";
                    echo "<subtitulo><![CDATA[".$pueblo['subtitulo']."]]></subtitulo>\n";
                    echo "<frase><![CDATA[".$pueblo['frase']."]]></frase>\n";
                    echo "<descripcion><![CDATA[".$pueblo['descripcion']."]]></descripcion>\n";
                    echo '<imagenes count="' . count($pueblo['imagenes']). '">';
                            foreach($pueblo['imagenes'] as $imagen)
                            {
                                    echo '<imagen id="' . $imagen['id']	. '" thumb="files/photos/' . $imagen['id']. '_196x133_4.JPG" big="files/photos/' . $imagen['id']. '.JPG"  />'."\n";
                            }
                    echo "</imagenes>\n";
                    echo '<videos count="' . count($pueblo['videos']). '">';
                            foreach($pueblo['videos'] as $video)
                            {
                                    echo '<video id="' . $video['id']	. '" thumb="' . $video['thumb']. '" big="' . $video['video'] . '"  >';
                                    	echo '<tematica><![CDATA['.$video['tematica'].']]></tematica>'."\n";
                                    	echo '<titulo><![CDATA['.$video['titulo'].']]></titulo>'."\n";
                                    	echo '<descripcion><![CDATA['.$video['descripcion'].']]></descripcion>'."\n";
                                    echo "</video>\n";
                            }
                    echo "</videos>\n";
		echo "</pueblo>\n";
	}
	echo "</pueblos>\n";
	
	/*--------------------------------------------------------------------------------------*/
		$temas=array();
		$this->sql->setQuery("SELECT * FROM temas");
		$this->sql->executeQuery();
		while($row=$this->sql->getRow())
		{
			$temas[$row['id']]=$row;
		}
		foreach($temas as $index=>$tema)
		{
			$temas[$index]["videos"]=array();
			$this->sql->setQuery("SELECT * FROM temas_videos WHERE id_tema=:id");
			$this->sql->addInteger("id",$tema["id"]);
			$this->sql->executeQuery();
			while($row=$this->sql->getRow())
				{
					$temas[$row['id_tema']]["videos"][]=$row;
				}
			$temas[$index]["audios"]=array();
			$this->sql->setQuery("SELECT * FROM temas_audios WHERE id_tema=:id");
			$this->sql->addInteger("id",$tema["id"]);
			$this->sql->executeQuery();
			while($row=$this->sql->getRow())
				{
					$temas[$row['id_tema']]["audios"][]=$row;
				}
		}
		
		echo '<temas count="' . count($temas). '">';
		foreach($temas as $tema)
		{
			echo "<tema id=\"" . $tema['id'] . "\">\n";
                            echo "<titulo><![CDATA[".$tema['titulo']."]]></titulo>\n";
                            echo "<header><![CDATA[".$tema['header']."]]></header>\n";
                            echo "<color><![CDATA[0x".$tema['color']."]]></color>\n";
                            echo "<descripcion><![CDATA[",$tema['descripcion'],"]]></descripcion>";
                            echo "<file><![CDATA[".$tema['file']."]]></file>\n";
                            echo '<videos count="' . count($tema['videos']). '">';
                            	foreach($tema['videos'] as $video)
				{
					echo '<video id="' . $video['id'] . '" thumb="' . $video['thumb']. '" big="' . $video['video'] . '"  >';
                                            echo "<titulo><![CDATA[".$video['titulo']."]]></titulo>\n";
                                            echo "<descripcion><![CDATA[".$video['descripcion']."]]></descripcion>\n";
                                            echo "<tematica><![CDATA[",$video['tematica'],"]]></tematica>";
					echo "</video>\n";
				}
                           echo "</videos>\n";
                           echo '<audios count="' . count($tema['audios']). '">';
                                foreach($tema['audios'] as $audio)
				{
					echo '<audio id="' . $audio['id'] . '" file="' . $audio['file'] . '"  >';
                                            echo "<titulo><![CDATA[".$audio['titulo']."]]></titulo>\n";
					echo "</audio>\n";
				}
                           echo "</audios>\n";
			echo "</tema>\n";
		}
		echo "</temas>\n";
	/*---------------------------------------------------------------------------------------*/	
	$this->sql->setQuery("SELECT * FROM acerca");
	$this->sql->executeQuery();
	$acerca=$this->sql->getRow();
	
	echo "<acerca>".$acerca['acerca_de']."</acerca>\n";
	/*---------------------------------------------------------------------------------------*/	
	$musica=array();
		$this->sql->setQuery("SELECT * FROM musica");
		$this->sql->executeQuery();
		while($row=$this->sql->getRow())
		{
			$musica[]=$row;
		}
		echo '<musica count="' . count($musica). '">';
		foreach($musica as $music)
		{
			echo "<tema id=\"" . $music['id'] .'" file="' . $music['mp3'] . '"  >';
			echo "<![CDATA[" . $music['titulo']. "]]>";
			echo "</tema>\n";
		}
	
		echo "</musica>\n";
		
	/*---------------------------------------------------------------------------------------*/
	$this->xml->getClose();
	exit();	
	}
}
?>