<?php
/**
*	Manejo de sessiones mediante cookies.
*/
define("COOKIE_NAME", "OLI");
define("COOKIE_MINUTES", 30);
define("COOKIE_VALIDATION", "PALABRA_MD5");

//inicializa la cookie segun parametros de conf
function initCookie()
{
	setcookie( COOKIE_NAME, getCookieValue(), (time()+(60*COOKIE_MINUTES))); 
}

//borra la cookie segun parametros de conf
function deleteCookie()
{
	setcookie( COOKIE_NAME, "", time()-600000);
}

//retorna el valor que debe tener la cookie pasado por un MD5
function getCookieValue() 
{
	return  md5( COOKIE_NAME . "|" . COOKIE_VALIDATION );
}

//Valida si la cookie enviada en el request es valida
function isValidCookie()
{
	return ( isset($_COOKIE[COOKIE_NAME]) && $_COOKIE[COOKIE_NAME] == getCookieValue() );
}

?>